Đến nội dung


Hình ảnh

vẽ đường vuông góc spline


  • Please log in to reply
8 replies to this topic

#1 amateurday

amateurday

    biết lệnh break

  • Members
  • PipPipPipPip
  • 228 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 28 December 2009 - 10:52 PM

em cần vẽ 1 đường vuông góc spl, vuông góc tại điểm cho trước thuộc spl
  • 0

#2 tuannguyen314169

tuannguyen314169

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 29 December 2009 - 08:44 AM

em cần vẽ 1 đường vuông góc spl, vuông góc tại điểm cho trước thuộc spl

Mình không rõ câu hỏi lắm (cụ thể như thế nào), nhưng theo mình phương pháp như sau:
1- tìm hàm số của đường spline (tất nhiên là hàm gần đúng)
2- sau đó đạo hàm của hàm số tại điểm cho trước, chính là tiếp tuyến.
  • 2

#3 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 29 December 2009 - 09:53 AM

em cần vẽ 1 đường vuông góc spl, vuông góc tại điểm cho trước thuộc spl

Chào bạn amateuday,
Vì bạn post bài này trong chuyên mục kỹ thuật autocad nên mình nghĩ bạn cần cách vẽ chứ không dùng lisp. Như vậy theo mình bạn có thể làm như sau:
1/- Break Spline tại điểm đã chọn.
2/- Offset một phần spline sau break một khoảng nào đó.
3/- Vẽ line nối điểm break của spline gốc và spline offset.
4/- Vẽ line bất kỳ vuông góc với line vừa vẽ trước đó.
5/- Move line vừa tạo xong về điểm break trên spline gốc.
6/- Xóa các đường phụ.

Cách này có nhược điểm là spline bị break thành hai spline, tuy nhiên bạn có thể khắc phụ bằng cách copy spline gốc thêm một spline mới và thực hiện break trên spline này, sau đó xóa sạch nó đi là OK.

Chúc bạn thành công.
  • 3
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 29 December 2009 - 10:46 AM

Chào bạn amateuday,
Vì bạn post bài này trong chuyên mục kỹ thuật autocad nên mình nghĩ bạn cần cách vẽ chứ không dùng lisp. Như vậy theo mình bạn có thể làm như sau:
1/- Break Spline tại điểm đã chọn.
2/- Offset một phần spline sau break một khoảng nào đó.
3/- Vẽ line nối điểm break của spline gốc và spline offset.
4/- Vẽ line bất kỳ vuông góc với line vừa vẽ trước đó.
5/- Move line vừa tạo xong về điểm break trên spline gốc.
6/- Xóa các đường phụ.
Chúc bạn thành công.

1/ offset Spline với 1 khoảng cách nhất định nào đó. (gọi Spline này là SP2)
2/ Từ điểm chọn trên Spline -> vẽ 1 đường vuông góc với SP2, dùng chế độ bắt điểm Perpendicular
3/ Vẽ line bất kỳ vuông góc với line vừa vẽ trước đó.
4/- Move line vừa tạo xong về điểm chọn
5/ Xóa các đường phụ.
-> Khắc phục nhược điểm của bác Bình và nhanh hơn 1 bước.
Tuy nhiên, cách này lại có 1 nhược điểm là offset Spline với 1 khoảng cách nhất định nào đó mà thôi
  • 3

#5 huong259

huong259

    biết lệnh refedit

  • Members
  • PipPipPipPipPipPipPip
  • 596 Bài viết
Điểm đánh giá: 350 (khá)

Đã gửi 29 December 2009 - 11:28 AM

Câu đố của em không khó, chỉ là chút mẹo vặt . Hình như các bác bận việc nên ít nguời có thời gian giải đố.
Cách làm của em nhanh hơn cách của bác QUYLAOTIENSINH:
1-Dùng lệnh 3DFORBIT xoay mặt phẳng vẽ cho dễ nhìn
2-Dùng lệnh L một lần, vẽ được bán kính và chiều cao H và đường nối tâm hình nón với đỉnh chóp (từ 2007 vẽ 3d thuận tiện hơn)
3-Dùng lệnh C vẽ được đường tròn qua tâm và chân đường cao, không phải nhập kích thước > Di chuột lên đỉnh đường cao vẽ đường tròn có bán kính :0,000001
Chắc chắn đường tròn R= 0,000001 ko to hơn 1 point bao nhiêu, nó nằm trong phạm vi cho phép, rất nhỏ phải ko các bác, phải Z lên mới nhìn thấy, nhưng ko cần phải Z cho mất thời gian)
4-Dùng lệnh LOFT vẽ ngon lành!

@Anh Thiêp: Em đang dung CAD2007 và 2009. Tất cả những gì em đã viết trong hôm qua chỉ là gợi ý của gợi ý thôi , chưa có gì gọi là gợi cụ thể cả! Anh suy nghĩ thêm nhé, và nhớ viết tặng em bài thơ…hi hi hi
Phương châm của em để giải quyết một vấn đề gì, cũng phải đi từ những cái đơn giản nhất.
Ra ngoài đường, ngoài chợ, ra làm việc ở UBND xóm nếu cứ dùng lý luận cao siêu, sẽ ko bao giờ đạt được mục đích của tranh luận, cứ ngôn ngữ bình dân, khoai sắn nướng mà chơi!

Chị Hà Anh đã vẽ hình chóp xiên bằng phương pháp phương pháp củ sắn nướng!
Em thử áp dụng cách vẽ của em gọi là phương pháp củ chuối nướng các bác xem có được không nhé:
- Tại điểm cần vẽ trên Spl, vẽ đường tròn có R= 0.01
- Lấy Trim ra cắt một nửa đường tròn, kẻ đường thẳng nối giao hai điểm trên vòng tròn giao với Spl
- Vẽ đường thẳng nối trung điển của đoạn thẳng đó với trung điểm của nửa vòng tròn > xong
  • 1

#6 doanduyhung

doanduyhung

    biết vẽ spline

  • Members
  • PipPip
  • 90 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 29 December 2009 - 04:12 PM

Thêm chút muối nè:
1. Chon spline đó nhé
2. Chọn điểm trên spline
3. Sử dụng hàm vlax-curve-getDistAtPoint để lấy chiều dài tương ứng của spline theo điểm đã chọn
4. Cộng trừ một khoảng vd = +-0.01 với chiều dài đó sẽ được hai chiều dài tương ứng
5. Từ hai chiều dài (chiều dài nhỏ khi -0.01 và chiều dài lớn +0.01) sử dụng hàm vlax-curve-getPointAtDist để tìm ngược lại tọa độ của hai điểm trên spline (tọa độ hai điểm tìm được nếu tính theo chiều dài spline thì điểm chọn ban đầu nằm ở giữa)
6. Có hai điểm này rồi thì tìm góc giữa hai điểm và dùng lệnh polar + line sẽ vẽ được đường vuông góc thôi
****************
Dùng lệnh offset một pline hay spline đôi khi không được nhé vì liên quan tới bán kính và khoảng offset.
:(
  • 0

#7 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 29 December 2009 - 04:24 PM

1/- Break Spline tại điểm đã chọn.
2/- Offset một phần spline sau break một khoảng nào đó.
3/- Vẽ line nối điểm break của spline gốc và spline offset.
4/- Vẽ line bất kỳ vuông góc với line vừa vẽ trước đó.
5/- Move line vừa tạo xong về điểm break trên spline gốc.
6/- Xóa các đường phụ.
.................

1/ offset Spline với 1 khoảng cách nhất định nào đó. (gọi Spline này là SP2)
2/ Từ điểm chọn trên Spline -> vẽ 1 đường vuông góc với SP2, dùng chế độ bắt điểm Perpendicular
3/ Vẽ line bất kỳ vuông góc với line vừa vẽ trước đó.
4/- Move line vừa tạo xong về điểm chọn
5/ Xóa các đường phụ.
......................

Hình như 2 bác nhầm đề rùi .
em cần vẽ 1 đường vuông góc spl, vuông góc tại điểm cho trước thuộc spl
2 bác vẽ line tiếp tuyến với spl từ 1 điểm cho trước thuộc spl ?
  • 2

#8 Luyentrannga

Luyentrannga

    biết vẽ pline

  • Members
  • PipPip
  • 61 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 29 December 2009 - 06:00 PM

Hình như 2 bác nhầm đề rùi .
em cần vẽ 1 đường vuông góc spl, vuông góc tại điểm cho trước thuộc spl
2 bác vẽ line tiếp tuyến với spl từ 1 điểm cho trước thuộc spl ?

hình như là như thế!
  • 0

#9 ongdo_Son

ongdo_Son

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 March 2012 - 09:34 AM

Em cũng đang làm ĐATN và liên quan về vẽ đường vuông góc với spl. Có cách này em chia sẽ với mọi người ạ.
- Dùng lệnh quay Rotate Ro-->chọn đường spl-->bắt vị trí cần vẽ đường vuông góc--> gõ copy--->enter --->90-->enter.
Ta sẽ được một đường spl vuông góc với đường spl ban đầu,từ đó ta có thể dễ dàng xác định được đường thẳng cần vẽ
  • 0